Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.tax
Class TaxLineImpl

    java.lang.Object
      com.beasys.commerce.foundation.BelongingImpl
          com.beasys.commerce.ebusiness.tax.TaxLineImpl

All Implemented Interfaces
  TaxLine, Belonging, BusinessSmartComponent, RelationalReference, Serializable, Cloneable, Comparable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class TaxLineImpl

extends BelongingImpl
implements TaxLine, Cloneable

Has all the information from orderline required to do taxing, may be generated from an orderline.

See Also
  `TaxLine`, `TaxLineHome`, Serialized Form

Field Summary
`Price` | `discountedPriceAmt` Deprecated See BEA Commerce product offering
`Price` | `freight` Deprecated See BEA Commerce product offering
`Price` | `price` Deprecated See BEA Commerce product offering
`Quantity` | `quantity` Deprecated See BEA Commerce product offering
`String` | `taxCode` Deprecated See BEA Commerce product offering

Fields inherited from class com.beasys.commerce.foundation.BelongingImpl
`__classIdentifier, __containingBelonging, __containingEntity, __mapKey, __sequenceNumber, _isDirty`

Constructor Summary
`TaxLineImpl()` Deprecated See BEA Commerce product offering

Method Summary
`int` | `compareTo(Object o)` Deprecated See BEA Commerce product offering
`Price` | `getDiscountedPriceAmount()` Deprecated See BEA Commerce product offering
`Price` | `getFreight()` Deprecated See BEA Commerce product offering
`Price` | `getPrice()` Deprecated See BEA Commerce product offering
`Quantity` | `getQuantity()` Deprecated See BEA Commerce product offering
`String` | `getTaxCode()` Deprecated See BEA Commerce product offering
`String` | `interfaceName()` Deprecated See BEA Commerce product offering
`void` | `setByValue(Belonging value)` Deprecated See BEA Commerce product offering
`void` | `setDiscountedPriceAmount(Price price)` Deprecated See BEA Commerce product offering
`void` | `setFreight(Price freight)` Deprecated See BEA Commerce product offering
`void` | `setPrice(Price price)` Deprecated See BEA Commerce product offering
`void` | `setQuantity(Quantity quantity)` Deprecated See BEA Commerce product offering
`void` | `setTaxCode(String taxCode)` Deprecated See BEA Commerce product offering
`Belonging` | `value()` Deprecated See BEA Commerce product offering

Methods inherited from class com.beasys.commerce.foundation.BelongingImpl
`clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clearRelationalBinding, clone, doRelationalBinding, doRelationalBinding, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnElement, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingOnSingleton, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, doRelationalBindingWithMapKey, enumerateRelationalBinding, enumerateRelationalBinding, equals, get__classIdentifier, get__containingBelonging, get__containingEntity, get__containingEntityReference, get__mapKey, get__sequenceNumber, getPersistenceHelperPlugin, hashCode, set__classIdentifier, set__containingBelonging, set__containingEntity, set__containingEntityReference, set__mapKey, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.beasys.commerce.foundation.Belonging
`clone, equals`

Field Detail

### freight

    public Price freight

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### price

    public Price price

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### discountedPriceAmt

    public Price discountedPriceAmt

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### quantity

    public Quantity quantity

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

### taxCode

    public String taxCode

  Deprecated See BEA Commerce product offering
  - Containment: By Value
  - Multiplicity: 1:1

Constructor Detail

### TaxLineImpl

    public TaxLineImpl()

  Deprecated See BEA Commerce product offering

Method Detail

### getFreight

    public Price getFreight()

  Deprecated See BEA Commerce product offering

  Get the value of freight

  Specified by:
    `getFreight` in interface `TaxLine`
  Returns
    freight.

### setFreight

    public void setFreight(Price freight)

  Deprecated See BEA Commerce product offering

  Set the value of freight

  Specified by:
    `setFreight` in interface `TaxLine`
  Parameters
    `freight` - freight to be added

### getPrice

    public Price getPrice()

  Deprecated See BEA Commerce product offering

  Get the value of price

  Specified by:
    `getPrice` in interface `TaxLine`
  Returns
    price.

### setPrice

    public void setPrice(Price price)

  Deprecated See BEA Commerce product offering

  Set the value of price

  Specified by:
    `setPrice` in interface `TaxLine`
  Parameters
    `price` - price to be added

### getDiscountedPriceAmount

    public Price getDiscountedPriceAmount()

  Deprecated See BEA Commerce product offering

  Get the value of the discounted price

  Specified by:
    `getDiscountedPriceAmount` in interface `TaxLine`
  Returns
    price.

### setDiscountedPriceAmount

    public void setDiscountedPriceAmount(Price price)

  Deprecated See BEA Commerce product offering

  Set the value of the discounted price

  Specified by:
    `setDiscountedPriceAmount` in interface `TaxLine`
  Parameters
    `price` - price to be added

### getQuantity

    public Quantity getQuantity()

  Deprecated See BEA Commerce product offering

  Get the value of quantity

  Specified by:
    `getQuantity` in interface `TaxLine`
  Returns
    quantity.

### setQuantity

    public void setQuantity(Quantity quantity)

  Deprecated See BEA Commerce product offering

  Set the value of quantity

  Specified by:
    `setQuantity` in interface `TaxLine`
  Parameters
    `quantity` - quantity to be added

### getTaxCode

    public String getTaxCode()

  Deprecated See BEA Commerce product offering

  Get the value of taxCode

  Specified by:
    `getTaxCode` in interface `TaxLine`
  Returns
    taxCode.

### setTaxCode

    public void setTaxCode(String taxCode)

  Deprecated See BEA Commerce product offering

  Set the value of taxCode

  Specified by:
    `setTaxCode` in interface `TaxLine`
  Parameters
    `taxCode` - taxCode to be added

### value

    public Belonging value()

  Deprecated See BEA Commerce product offering

  value() is a more typesafe implementation of clone()

  Specified by:
    `value` in interface `Belonging`
  Returns
    a clone of this instance

### interfaceName

    public String interfaceName()

  Deprecated See BEA Commerce product offering

  interfaceName() returns the unqualified name of the interface from the UML model

  Specified by:
    `interfaceName` in interface `Belonging`
  Returns
    the unqualified name of the belonging interface from the UML model

### setByValue

    public void setByValue(Belonging value)

  Deprecated See BEA Commerce product offering

  It is possible to call set-by-value with a superclass. If that is the case, only the fields in the superclass will be set in this instance. The remaining fields get the default values.

  It is also possible to call set-by-value with a subclass. In this case, the specialized fields in the subclass will be ignored. The overridden fields in the subclass will be populated.

  Specified by:
    `setByValue` in interface `Belonging`
  Overrides:
    `setByValue` in class `BelongingImpl`
  Parameters
    `value` - The `Belonging` to use for initialization.

### compareTo

    public int compareTo(Object o)

  Deprecated See BEA Commerce product offering

  Compare this belonging to another

  Specified by:
    `compareTo` in interface `Comparable`
  Specified by:
    `compareTo` in class `BelongingImpl`
  Parameters
    `o` - target object for comparision
  Returns
    0 objects are equal

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved